pilot-addresses(1)

NAME
pilot-addresses - Read and write address book databases to and from a Palm handheld.

SECTION

pilot-link: Userland conduits

LOCATION

./src

SYNOPSIS

 pilot-addresses [-p|--port <port>] [--version] [-?|--help] [--usage] [-q|--quiet] [--delete-all] [-t|--delimiter INT] [-d|--delete-category category ] [-c|--category category] [-a|--augment] [-r|--read file] [-w|--write file ] [-C|--human-readable]

DESCRIPTION

 pilot-addresses allows the user to read all entries from a Palm handheld such as those made by Palm, Handspring, Handera, TRGPro, Sony or other Palm handheld in the Palm Address Book application, write new entries into the database, and delete a category or delete all entries in the database.

COMMANDS

Provide exactly one of --read or --write.
                    -r,
                    --read=<file>

Reads records from <file> and install them to the Palm Address Book application. (Use the -w <file> option to get a sample "template file" for input records to see how the fields are laid out).
                    -w, --write=file

Reads all address book records from the Palm Address Book application and writes them into file

OPTIONS

  pilot-addresses options
                        -a, --augment

Augments fields in address book records with additional information. The augmented information is placed before and separated from the field with a semi-colon, (;).

Augmented information can include any of the following below.

 category # Placed in front of each record or..

Placed in front of each phone number field:

["Work"|"Home"|"Fax"|"Other"|"E-mail"|"Main"|"Pager"|"Mobile"]

Empty fields are not augmented.
                        -c,
                        --category=category

Install records to category category by default. Normally pilot-addresses uses the Unfiled category by default. This option is overridden by the category specified in the record with the -a option.
                        -d, --delete-category

Delete all records in the specified category category before installing new records.

Note that the long name of this option has changed since 0.11.8
                        -D, --delete-all

Delete all address book records in all categories. Obviously, be very careful with this one.

Note that the long name of this option has changed since 0.11.8
                        -t,
                        --delimiter INT

Include category in each record, use the delimiter specified to separate all fields of a record. Delimiters are specified as follows: 3=tab, 2=;, 1=,. This overrides the default delimiter of comma between fields and semi-colon between a field's augmented information. (Please note that this may generate confusing results when used with the -a option.)

Note that the long name of this option has changed since 0.11.8
                        -T, --titles

Obsolete. This option has been removed since 0.11.8
                        -C|--human-readable

Write generic human-readable output instead of CSV.

  Conduit Options
                        -p,
                        --port <port>

Use device file <port> to communicate with the Palm handheld. If this is not specified, pilot-addresses will look for the $PILOTPORT environment variable. If neither are found or supplied, pilot-addresses will print the usage information.
                        -q,
                        --quiet

Suppress 'Hit HotSync button' message
                        -v, --version

Display version of pilot-addresses and exit without connecting.

  Help Options
                        -h, --help

Display the help synopsis for pilot-addresses and exit without connecting.
                        --usage

Display a brief usage message and exit without connecting.

USAGE

The program will connect to the Palm handheld, and perform the requested read or write operation specified by the user.

EXAMPLES

To write all address records in a Palm to the file addrbook.csv:

 pilot-addresses -w addrbook.csv

or

 pilot-addresses -p /dev/pilot -w addrbook.csv

To read the address book records in the file addrbook.csv and install them onto the Palm:

 pilot-addresses -r addrbook.csv

To read the address book records in the file addrbook.csv and place them into the Palm address book database category Special after first deleting all current records in the Special category on the palm:

 pilot-addresses -c Special -d Special -r addrbook.csv

AUTHOR

 pilot-addresses originally written by Kenneth Albanowski, this manual page was originally written by Robert Wittig <bob.wittig@gt.org> and later updated by David A. Desrosiers <hacker@gnu-designs.com> and Neil Williams <linux@codehelp.co.uk>.

REPORTING BUGS

We have an online bug tracker. Using this is the only way to ensure that your bugs are recorded and that we can track them until they are resolved or closed. Reporting bugs via email, while easy, is not very useful in terms of accountability. Please point your browser to http://bugs.pilot-link.org: http://bugs.pilot-link.org and report your bugs and issues there.

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SEE ALSO

 addresses(1) pilot-link(7)